Nini Library API Reference - http://nini.sourceforge.net/ |

# DotNetConfigSource Constructor (String[])

Creates a new instance of the XML configuration source.

public DotNetConfigSource(
string[] sections
);

#### Parameters

sections
  Array of sections contained in the XML file. These cannout be determined programmatically so you will have to supply them at load time.

#### Remarks

Instantiating this way does not currently allow for saving configuration changes because the SavePath will be null. Use this for configuration ASP.NET web sites that use the Web.config file. This method is not supported by the .NET Compact Framework.

#### See Also

DotNetConfigSource Class | Nini.Config Namespace | DotNetConfigSource Constructor Overload List